### gnu.inet.encoding

# Class IDNAException

- `Exception`
- - `gnu.inet.encoding.IDNAException`

`public class IDNAException`
`extends Exception`

Exception handling for IDNA class.

  ## Field Summary

  `static String`

  `CONTAINS_ACE_PREFIX`

  `static String`

  `CONTAINS_HYPHEN`

  `static String`

  `CONTAINS_NON_LDH`

  `static String`

  `TOO_LONG`

  ## Constructor Summary

  `IDNAException(String m)`

  `IDNAException(PunycodeException e)`

  `IDNAException(StringprepException e)`

## Field Details

### CONTAINS_ACE_PREFIX

    public static String CONTAINS_ACE_PREFIX

### CONTAINS_HYPHEN

    public static String CONTAINS_HYPHEN

### CONTAINS_NON_LDH

    public static String CONTAINS_NON_LDH

### TOO_LONG

    public static String TOO_LONG

## Constructor Details

### IDNAException

    public IDNAException(String m)

### IDNAException

    public IDNAException(PunycodeException e)

### IDNAException

    public IDNAException(StringprepException e)